New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Filter out security realm deprecations on Cloud #30018

Merged
merged 1 commit into from Feb 5, 2019

Conversation

Projects
None yet
3 participants
@joshdover
Copy link
Member

joshdover commented Feb 4, 2019

Summary

Related #26368

This filters out the Security realm config deprecation from the Upgrade Assistant UI and API when running on a Cloud or ECE environment.

We're doing to improve the UX of upgrading to 7.0 on Cloud to avoid confusing users by asking them to update a setting they cannot update until they actually upgrade their elasticsearch.yml for the 7.0 rolling upgrade.

For maintainers

@elasticmachine

This comment has been minimized.

Copy link

elasticmachine commented Feb 4, 2019

@elasticmachine

This comment has been minimized.

Copy link

elasticmachine commented Feb 4, 2019

@tylersmalley
Copy link
Member

tylersmalley left a comment

LGTM after the type is fixed.

@joshdover joshdover force-pushed the joshdover:upgrade-assistant-cloud branch from 88184e6 to d2586bf Feb 5, 2019

@elasticmachine

This comment has been minimized.

Copy link

elasticmachine commented Feb 5, 2019

@joshdover joshdover merged commit 20ffce2 into elastic:master Feb 5, 2019

2 checks passed

CLA Commit author is a member of Elasticsearch
Details
kibana-ci Build finished.
Details

@joshdover joshdover deleted the joshdover:upgrade-assistant-cloud branch Feb 5, 2019

joshdover added a commit to joshdover/kibana that referenced this pull request Feb 5, 2019

joshdover added a commit that referenced this pull request Feb 5, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment